Bug 210272 - [exp-run] Gtk 3.22 update
Summary: [exp-run] Gtk 3.22 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on: 218667
Blocks: 210696
  Show dependency treegraph
 
Reported: 2016-06-14 08:35 UTC by Koop Mast
Modified: 2017-12-17 07:12 UTC (History)
3 users (show)

See Also:
kwm: exp-run?


Attachments
Update gtk+3 to 3.22.12 and c++ bindings (106.38 KB, patch)
2017-04-14 19:30 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2016-06-14 08:35:36 UTC
This is currently a empty PR for the GNOME update to 3.20 and GTK+ 3 to 3.20. Due to breaking changes in GTK+3 regarding themes, the themes need to updated to fix these. These updates are not backwards compatible. So create a dummy (for now) PR which can be used to block the theme PR's until GTK+ 3.20 gets committed.
Comment 1 Olivier Duchateau freebsd_committer 2016-07-29 20:34:25 UTC
When GTK+ will be updated (3.20), deskutils/xfce4-notifyd >= 0.3.x must be **rebuild** (see comment in Makefile), because version of GTK+ is detected at build time, and theme path too.
Comment 2 Koop Mast freebsd_committer 2017-04-14 19:30:56 UTC
Created attachment 181798 [details]
Update gtk+3 to 3.22.12 and c++ bindings

This also contains updates/bumps for xfce4-notifyd, adwaita-icon-theme, gnome-themes-standard, gtk-E17-theme, gtk-arc-themes and mate-themes.
Comment 3 Koop Mast freebsd_committer 2017-04-14 19:32:47 UTC
Fix title and assign to portmgr@ for exp-run.
Comment 4 Antoine Brodin freebsd_committer 2017-04-22 08:07:42 UTC
New failures on 10.3 amd64:

+ {"origin"=>"devel/gitg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/lordsawar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "phase"=>"package", "errortype"=>"???"}

Failure logs on 10.3 amd64:

http://package18.nyi.freebsd.org/data/103amd64-default-PR210272/2017-04-20_20h08m27s/logs/errors/gitg-3.19.6_2.log
http://package18.nyi.freebsd.org/data/103amd64-default-PR210272/2017-04-20_20h08m27s/logs/errors/lordsawar-0.3.1_1.log
http://package18.nyi.freebsd.org/data/103amd64-default-PR210272/2017-04-20_20h08m27s/logs/errors/gtk3-reference-3.22.12_1.log
Comment 5 Antoine Brodin freebsd_committer 2017-04-22 08:10:14 UTC
New failures on 10.3 i386:

+ {"origin"=>"devel/gitg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/lordsawar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "phase"=>"package", "errortype"=>"???"}


Failure logs on 10.3 i386:

http://pb2.nyi.freebsd.org/data/103i386-default-PR210272/2017-04-20_20h08m22s/logs/errors/gitg-3.19.6_2.log
http://pb2.nyi.freebsd.org/data/103i386-default-PR210272/2017-04-20_20h08m22s/logs/errors/lordsawar-0.3.1_1.log
http://pb2.nyi.freebsd.org/data/103i386-default-PR210272/2017-04-20_20h08m22s/logs/errors/gtk3-reference-3.22.12_1.log
Comment 6 Antoine Brodin freebsd_committer 2017-04-22 08:33:15 UTC
New failures on 11.0 amd64:

+ {"origin"=>"devel/gitg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/lordsawar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "phase"=>"package", "errortype"=>"???"}

Failure logs on 11.0 amd64:

http://package18.nyi.freebsd.org/data/110amd64-default-PR210272/2017-04-22_07h47m06s/logs/errors/gitg-3.19.6_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR210272/2017-04-22_07h47m06s/logs/errors/lordsawar-0.3.1_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR210272/2017-04-22_07h47m06s/logs/errors/gtk3-reference-3.22.12_1.log
Comment 7 Antoine Brodin freebsd_committer 2017-04-22 08:35:12 UTC
New failures on 11.0 i386:

+ {"origin"=>"devel/gitg", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/lordsawar", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/gtk30-reference", "phase"=>"package", "errortype"=>"???"}

Failure logs on 11.0 i386:

http://pb2.nyi.freebsd.org/data/110i386-default-PR210272/2017-04-22_07h47m02s/logs/errors/gitg-3.19.6_2.log
http://pb2.nyi.freebsd.org/data/110i386-default-PR210272/2017-04-22_07h47m02s/logs/errors/lordsawar-0.3.1_1.log
http://pb2.nyi.freebsd.org/data/110i386-default-PR210272/2017-04-22_07h47m02s/logs/errors/gtk3-reference-3.22.12_1.log
Comment 8 commit-hook freebsd_committer 2017-04-23 08:36:26 UTC
A commit references this bug:

Author: kwm
Date: Sun Apr 23 08:35:30 UTC 2017
New revision: 439206
URL: https://svnweb.freebsd.org/changeset/ports/439206

Log:
  Update the gtk+ stack [1]

  Update gdk-pixbuf2 to 2.36.6
  Update gtk30 to 3.22.12
  Update cairomm to 1.12.2
  Update gtkmm30 to 3.22.0

  Update the following themes to be compatible with the new gtk+ version:
  Update adwaita-icon-theme to 3.22.0
  Update gnome-themes-standard to 3.22.3
  Update gtk-E17-theme to 3.22.1 [2]
  Update gtk-arc-themes to 20170302 [3]
  Update mate-themes to 3.22.10

  Bump xfce4-notifyd due to new gtk30 version, requested by olivierd@.
  Mark LordsaWar broken, it doesn't build with cairomm 1.12.

  PR:		210272 [1], 210696 [2], 218667 [3]
  Submitted by:	Matthew Rezny [2]
  Obtained from:	Unless otherwise stated obtained from GNOME devel repo
  Exp-run by:	antoine@ [1]

Changes:
  head/deskutils/xfce4-notifyd/Makefile
  head/games/lordsawar/Makefile
  head/graphics/cairomm/Makefile
  head/graphics/cairomm/distinfo
  head/graphics/cairomm/pkg-plist
  head/graphics/gdk-pixbuf2/Makefile
  head/graphics/gdk-pixbuf2/distinfo
  head/graphics/gdk-pixbuf2/files/patch-Makefile.in
  head/graphics/gdk-pixbuf2/pkg-plist
  head/x11-themes/adwaita-icon-theme/Makefile
  head/x11-themes/adwaita-icon-theme/distinfo
  head/x11-themes/adwaita-icon-theme/pkg-plist
  head/x11-themes/gnome-themes-standard/Makefile
  head/x11-themes/gnome-themes-standard/distinfo
  head/x11-themes/gnome-themes-standard/pkg-plist
  head/x11-themes/gtk-E17-theme/Makefile
  head/x11-themes/gtk-E17-theme/distinfo
  head/x11-themes/gtk-E17-theme/files/
  head/x11-themes/gtk-E17-theme/pkg-descr
  head/x11-themes/gtk-E17-theme/pkg-plist
  head/x11-themes/gtk-arc-themes/Makefile
  head/x11-themes/gtk-arc-themes/distinfo
  head/x11-themes/mate-themes/Makefile
  head/x11-themes/mate-themes/distinfo
  head/x11-themes/mate-themes/pkg-plist
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/distinfo
  head/x11-toolkits/gtk30/files/patch-configure
  head/x11-toolkits/gtk30/pkg-plist
  head/x11-toolkits/gtk30-reference/Makefile
  head/x11-toolkits/gtk30-reference/pkg-plist
  head/x11-toolkits/gtkmm30/Makefile
  head/x11-toolkits/gtkmm30/distinfo
  head/x11-toolkits/gtkmm30/pkg-plist
  head/x11-toolkits/gtkmm30-reference/Makefile
  head/x11-toolkits/pangomm/Makefile
Comment 9 Koop Mast freebsd_committer 2017-04-23 08:40:49 UTC
Changes landed, closing
Comment 10 vali gholami 2017-12-17 07:12:34 UTC
MARKED AS SPAM